imports:
  - resource: EXT:koch_config/Configuration/TSConfig/RTE/KochBase.yaml

editor:
  config:
    # Block styles
    stylesSet:
      - { name: 'Lead Paragraph', element: 'p', attributes: { 'class': 'lead' } }
    # Remove buttons from default config
    removeButtons:
      - HorizontalRule
      - NumberedList
      - Subscript
      - SpecialChar
      - Superscript
      - Blockquote
      - PasteFromWord
    removePlugins:
      # The image plugin doesn't support FAL
      - descriptionlist
      - image
    format_tags: p;h2;h3

#Button config
buttons:
  link:
    properties:
      class:
        allowedClasses: u-link-underline u-link-external, u-link-underline u-link-download, c-btn c-btn--gold
        # allowedClasses: c-btn, u-icon u-icon--download

#Classes config
classes:
  u-link-underline u-link-external:
    name: External Icon
  u-link-underline u-link-download:
    name: Download-Link Icon
  c-btn c-btn--gold:
    name: Gold Button
